UbixOS V2 2.0

Data Structures | Macros | Typedefs | Functions
mpi.h File Reference
`#include <sys/types.h>`
`#include <ubixos/sched.h>`
Include dependency graph for mpi.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | mpi_mbox
struct | mpi_message

## Macros
#define | MESSAGE_LENGTH 248

## Typedefs
typedef struct mpi_mbox | mpi_mbox_t
typedef struct mpi_message | mpi_message_t

## Functions
int | mpi_createMbox (char *)
int | mpi_destroyMbox (char *)
int | mpi_fetchMessage (char *, mpi_message_t *)
int | mpi_postMessage (char *, uInt32, mpi_message_t *)
int | mpi_spam (uInt32, void *)

## Macro Definition Documentation

## ◆ MESSAGE_LENGTH

#define MESSAGE_LENGTH 248

Definition at line 35 of file mpi.h.

## Typedef Documentation

## ◆ mpi_mbox_t

typedef struct mpi_mbox mpi_mbox_t

Definition at line 53 of file mpi.h.

## ◆ mpi_message_t

typedef struct mpi_message mpi_message_t

Definition at line 54 of file mpi.h.

## Function Documentation

## ◆ mpi_createMbox()

int mpi_createMbox | ( | char * |  | ) |

Definition at line 68 of file system.c.

Referenced by sys_mpiCreateMbox(), and systemTask().

## ◆ mpi_destroyMbox()

int mpi_destroyMbox | ( | char * |  | ) |

Definition at line 231 of file system.c.

Referenced by sys_mpiDestroyMbox().

## ◆ mpi_fetchMessage()

int mpi_fetchMessage | ( | char * | ,
|  | mpi_message_t * |
| ) |  |

Definition at line 187 of file system.c.

Referenced by sys_mpiFetchMessage(), and systemTask().

## ◆ mpi_postMessage()

int mpi_postMessage | ( | char * | ,
|  | uInt32 | ,
|  | mpi_message_t * |
| ) |  |

Referenced by sys_mpiPostMessage(), and sysMpiPostMessage().

## ◆ mpi_spam()

int mpi_spam | ( | uInt32 | ,
|  | void * |
| ) |  |

Definition at line 107 of file system.c.